Author Topic: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE  (Read 12104 times)

0 Members and 1 Guest are viewing this topic.

Tigerw

  • Guest
Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« on: December 26, 2008, 03:39:38 PM »
After upgrading Avast4Linux Home from 1.0.8-1 to 1.2.0-1 on my openSUSE 11.0 64-bit system the GUI is missing a lot of objects. Please see attached picture. Same problem occurs after upgrading openSUSE to 11.1 64-bit.

This problem does not occur on openSUSE 32-bit.

P.S. Running "avastgui" from the shell gives this output:

(process:1600): Gdk-WARNING **: locale not supported by Xlib

(process:1600): Gdk-WARNING **: can not set locale modifiers

(avastgui:1600): Gtk-WARNING **: Unable to locate theme engine in module_path: "qtcurve",

(avastgui:1600): Gtk-WARNING **: Unable to locate theme engine in module_path: "qtcurve",

(avastgui:1600): Gtk-WARNING **: /usr/lib/avast4workstation/lib-gtk2/gtk-2.0/2.10.0/immodules/im-cedilla.so: kan inte öppna delad objektfil: Filen eller katalogen finns inte

(avastgui:1600): Gtk-WARNING **: Loading IM context type 'cedilla' failed
Error reading modules file                                               
** (avastgui:1600): WARNING **: No builtin or dynamically loaded modules
were found. Pango will not work correctly. This probably means           
there was an error in the creation of:                                   
  '/usr/lib/avast4workstation/etc/pango/pango.modules'                   
You may be able to recreate this file by running pango-querymodules.     

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif Bold 10" falling back to "Sans Bold 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif Bold 10" falling back to "Sans Bold 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif Bold 10" falling back to "Sans Bold 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif Bold 10" falling back to "Sans Bold 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"

** (avastgui:1600): WARNING **: Couldn't load font "Sans Serif 10" falling back to "Sans 10"
« Last Edit: December 26, 2008, 05:41:08 PM by Tigerw »

joanlui

  • Guest
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #1 on: December 27, 2008, 11:42:28 PM »
It's 64 bit problem!!!

Tigerw

  • Guest
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #2 on: December 28, 2008, 10:30:08 AM »
It's 64 bit problem!!!

Of course it is, I think my post is quite clear that this bug only appears on my 64-bit openSUSE and not on my 32-bit system. But please note that avast4linux home version 1.0.8 worked fine on 64-bit openSUSE as well as on the 32-bit system, which indicates to me that some changes have been made between these two versions that causes this problem.

My intention with this post was to make the Avast developers aware of this problem, a bug report. Hopefully they can resolve the issue and release an updated version soon?


Offline zilog

  • Avast team
  • Advanced Poster
  • *
  • Posts: 957
  • or #f0; daa; add a,#a0; adc a,#40
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #3 on: January 02, 2009, 02:10:09 PM »
It's 64 bit problem!!!

Hallo,
it's necessary to have the IA32 libraries installed (to use the system-wide ones), OR, have a look in the starting script - you can use the built-in libraries instead (try this: AVAST_FAILSAFE=1 avastgui).

Anyway, try the latest versions:
http://public.avast.com/~cimbal/avast4workstation-1.3.0-1.i586.rpm
http://public.avast.com/~cimbal/avast4workstation-1.3.0.tar.gz
http://public.avast.com/~cimbal/avast4workstation_1.3.0-2_i386.deb

regards,
pc
May's Law: Software efficiency halves every 18 months, compensating Moore's Law. (David May, INMOS)

Tigerw

  • Guest
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #4 on: January 02, 2009, 03:39:12 PM »
Hi,

The new version 1.3.0 seems to work fine.

Thank's a lot !

dbessey

  • Guest
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #5 on: February 18, 2009, 04:47:19 AM »
For what its worth on Fedora 10 64 bit I don't get the error messages but I do get the same gui issue as the attachment.  I'll try the links and report back.

dbessey

  • Guest
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #6 on: February 24, 2009, 07:32:32 PM »
No, it is still the same, could I have a fonts issue or....  I have found lots of work arounds for the deb package but not the rpm.

Regards
Dana

Offline zilog

  • Avast team
  • Advanced Poster
  • *
  • Posts: 957
  • or #f0; daa; add a,#a0; adc a,#40
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #7 on: February 25, 2009, 12:20:56 PM »
No, it is still the same, could I have a fonts issue or....  I have found lots of work arounds for the deb package but not the rpm.

Regards
Dana

Hallo,
is the problem still visible, even for this http://public.avast.com/~cimbal/avast4workstation-1.3.0-1.i586.rpm package?

regards,
pc
May's Law: Software efficiency halves every 18 months, compensating Moore's Law. (David May, INMOS)

Flipside

  • Guest
Re: Avast 1.2.0-1 GUI messed up on 64-bit openSUSE
« Reply #8 on: February 12, 2010, 04:35:20 PM »
I get similar issues on Fedora 64bit (tried 10 & 12):

[root@localhost test]# avastgui
(process:3436): Gdk-WARNING **: locale not supported by Xlib
(process:3436): Gdk-WARNING **: can not set locale modifiers
** (avastgui:3436): WARNING **: Invalid subfont 0
** (avastgui:3436): WARNING **: Invalid subfont 0 in get_font_metrics_from_subfonts
** (avastgui:3436): WARNING **: Invalid subfont 0
** (avastgui:3436): WARNING **: Invalid subfont 0 in get_font_metrics_from_subfonts

Also, GUI is revealed but unusable due to either super small or missing text with the addition of a super small text box. The dialog that appears is the license activation dialog.

I did have to first install the 32bit version of pango to eliminate some install errors. pango-1.22.3-1fc10 (x86_64) was already installed; I installed pango-1.22.3-1.fc0 (i386).

When I try to run the command line version I get a message telling me to use the GUI and supply an activation code.

Any help would be appreciated.